Last Comment Bug 881348 - backport bug 874944 to bmo (Do not display the Excluded list when sending bugmails)
: backport bug 874944 to bmo (Do not display the Excluded list when sending bug...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: All All
: -- enhancement (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 10:50 PDT by Byron Jones ‹:glob› [PTO until 2017-01-09]
Modified: 2013-06-13 06:13 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-06-10 10:50:40 PDT
When creating or editing a bug, the Excluded list is displayed with the list of accounts which do not get bugmails. This information is useless and clutter the UI. It should be removed. Only the "Emails sent to" list should remain. See bug 874751 comment 2 for some historical background.
Comment 1 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-06-11 01:07:08 PDT
i also expanded the hiding of recipients from people without canconfirm to all users, using a cookie to remember the visibility of the recipient list.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified Bugzilla/BugMail.pm
modified contrib/sendbugmail.pl
modified contrib/sendunsentbugmail.pl
modified template/en/default/bug/process/bugmail.html.tmpl
Committed revision 8838.
Comment 2 Gordon P. Hemsley [:GPHemsley] 2013-06-13 06:13:48 PDT
I take issue with the claim that the Excluded list is useless. I also note that the comment in the other bug says they haven't gotten complaints from users without canconfirm status.

Here, you note that you've removed the Excluded list from all users. So let this be my complaint: I think the Excluded list is useful for determining whether someone has gotten a notification of the change you made. Sometimes people have unexpected bugmail settings. Without the Excluded list, you'd never know.

Note You need to log in before you can comment on or make changes to this bug.